'''OpenGL extension NV.geometry_shader_passthrough

This module customises the behaviour of the 
OpenGL.raw.GL.NV.geometry_shader_passthrough to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/NV/geometry_shader_passthrough.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.GL import _types, _glgets
from OpenGL.raw.GL.NV.geometry_shader_passthrough import *
from OpenGL.raw.GL.NV.geometry_shader_passthrough import _EXTENSION_NAME

def glInitGeometryShaderPassthroughNV():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION